Page MenuHomePhabricator

Wizard does not block starting upload with non-descriptive filenames like DSC6200.JPG
Closed, ResolvedPublic

Description

Upload wizard blocks meaningless file names like DSC* no more
Previously it blocked before the upload and gave message to fix file names
Now it does not block but file upload fails with cryptic message <api-error-unknownerror> and cannot be fixed by user who uploads the files

mediawiki response is "Unknown error: "titleblacklist-custom-filename""


Version: unspecified
Severity: major

Details

Reference
bz65624

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz65624.

This is very bad for the current Wiki Loves Earth contest.
Users try upload files, but fail and don't see any descriptive response

ummn, my error.

Sorry, why reopened?

because of misreading. Someone experienced with regex need to fix this in the titleblacklist.

Added an experienced user with regex to cc.

Ah ok, thanks for explanation :)

Tgr added a comment.May 22 2014, 4:51 PM

Given the api error code, TitleBacklist does catch the upload; the problem is with UploadWizard not predicting this.

I was asked in IRC and somewhere else whether this bug is related to my fix of Bug 64883 -- the answer is no. To prevent further questions:

The fix to Bug 64883 is not yet deployed on the Wikimedia cluster. It (Ic57d7c9bb4f986f3) was merged into the master branch on 20. May 02:20 -- but the 1.24wmf5 branch was created May 15; thus it was not deployed to Commons on Tuesday, 20 May 2014; it will be deployed to Commons on Tuesday, 27 May 2014 with version 1.24wmf6 -- you can find the current MediaWiki version at [[:commons:Special:Version]]. The deployment roadmap is at [[:mw:MediaWiki_1.24/Roadmap]].

Change 158337 had a related patch set uploaded by Gilles:
Fix TitleBlacklist support

https://gerrit.wikimedia.org/r/158337

Change 158337 merged by jenkins-bot:
Fix TitleBlacklist support

https://gerrit.wikimedia.org/r/158337

Seems fixed on beta commons. Thanks!

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 10:11 AM
Gilles raised the priority of this task from High to Unbreak Now!.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:20 AM